Share Route
Share a route with other spaces (experimental)
This endpoint shares the route with the specified spaces. This allows users with read and write access in both the route’s space and a shared space to bind a route to an app in the shared space. In order to share into a space the requesting user must have write permission in the target space.
Request
URI
POST
https://api.example.local/v3/routes/{guid}/relationships/shared_spaces
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Request Body
List of spaces to share the route with
RelationshipToMany
of type(s)
application/json
Required
{
"data": [
{
"guid": "string"
}
]
}
array of
object
data
Optional
data
Responses
200
OK
Returns
RelationshipToMany
of type(s)
application/json
{
"data": [
{
"guid": "string"
}
]
}
array of
object
data
Optional
data
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/v3/routes/{guid}/relationships/shared_spaces
On This Page
Routes Operations
GET
List Routes
POST
Create Route
GET
List Destinations For Route
POST
Insert Destinations For Route
PATCH
Replace Destinations For Route With Patch
PUT
Replace Destinations For Route
PATCH
Update Destination Protocol For Route
DELETE
Remove Destination For Route
GET
List App Routes
GET
Get Route
PATCH
Update Route
DELETE
Delete Route
GET
List Shared Spaces Relationship
POST
Share Route
DELETE
Unshare Route
PATCH
Transfer Route Ownership